commit:     17f6c86d219f1f04c0cb2852ce1cd810169985a2
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 22 04:14:40 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Thu Aug 22 04:17:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17f6c86d

sci-biology/fasta: add 36.3.8i

A 2022 release, how modern. :D Ignore the part where the tag name
contains the date "2020".

It obsoletes the patch as well, which seems good. However it does NOT
fix the LTO issue.

Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 sci-biology/fasta/Manifest             |  1 +
 sci-biology/fasta/fasta-36.3.8i.ebuild | 81 ++++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sci-biology/fasta/Manifest b/sci-biology/fasta/Manifest
index c0bd97106d3a..8144c91b5e78 100644
--- a/sci-biology/fasta/Manifest
+++ b/sci-biology/fasta/Manifest
@@ -1 +1,2 @@
 DIST fasta-36.3.8h.tar.gz 1257682 BLAKE2B 
e6bd9087563150355fed6edf52a24a0b31ef0658b1e95c3df6d5b5711fc4d137ddd773fb8b3b2fa82fe3f5c310689b2f89668f5b51654eed41ed71f9ef140f99
 SHA512 
30d160ad083a605397c6c35d2b28f6064cd96f51f99b3664b424ec1dbbbd09772c72e89731a7257306ab58c4ad4b877e229873abd0e09407c64fae643bc04391
+DIST fasta-36.3.8i.tar.gz 1402674 BLAKE2B 
5653ae18d38a8f99ac1a76235ebad7189faeaacf9a043ab81ec56036e851d45fcc47435413f81f989efc6dfbccd6e3235c9cd14a6f129719d978ffc69e5def0f
 SHA512 
6f34bd1a5f74362fd569d9c8e7ca7c9fcb0648ea7e861c3d0b54bbdc32ba0caad4beb2aad204122178ee6bcefd579d824412a863163050c305da0a661d55c234

diff --git a/sci-biology/fasta/fasta-36.3.8i.ebuild 
b/sci-biology/fasta/fasta-36.3.8i.ebuild
new file mode 100644
index 000000000000..6363b4b56f2d
--- /dev/null
+++ b/sci-biology/fasta/fasta-36.3.8i.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_PV="${PV}_14-Nov-2020"
+
+DESCRIPTION="FASTA is a DNA and Protein sequence alignment software package"
+HOMEPAGE="https://fasta.bioch.virginia.edu/fasta_www2/fasta_down.shtml";
+SRC_URI="https://github.com/wrpearson/fasta36/archive/refs/tags/v${MY_PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}36-${MY_PV}"
+
+LICENSE="fasta"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="debug cpu_flags_x86_sse2"
+
+src_prepare() {
+       CC_ALT=
+       CFLAGS_ALT=
+       ALT=
+
+       use debug && append-flags -DDEBUG
+
+       if [[ "$(tc-getCC)" == *icc* ]]; then
+               CC_ALT=icc
+               ALT="${ALT}_icc"
+       else
+               CC_ALT="$(tc-getCC)"
+               use x86 && ALT="32"
+               use amd64 && ALT="64"
+       fi
+
+       if use cpu_flags_x86_sse2 ; then
+               ALT="${ALT}_sse2"
+               append-flags -msse2
+               [[ "$(tc-getCC)" == *icc* ]] || append-flags -ffast-math
+       fi
+
+       export CC_ALT="${CC_ALT}"
+       export ALT="${ALT}"
+
+       # -Werror=lto-type-mismatch
+       # https://bugs.gentoo.org/862267
+       # https://github.com/wrpearson/fasta36/issues/63
+       filter-lto
+
+       sed \
+               -e 's:-ffast-math::g' \
+               -i make/Makefile* || die
+
+       eapply_user
+}
+
+src_compile() {
+       emake -C src -f ../make/Makefile.linux${ALT} CC="${CC_ALT} ${CFLAGS}" 
HFLAGS="${LDFLAGS}" all
+}
+
+src_test() {
+       cd test || die
+       FASTLIBS="../conf" bash test.sh || die
+}
+
+src_install() {
+       dobin bin/*
+
+       pushd bin >/dev/null || die
+               local i
+               for i in *36; do
+                       dosym ${i} /usr/bin/${i%36}
+               done
+       popd >/dev/null || die
+
+       insinto /usr/share/${PN}
+       doins -r conf/. data seq
+
+       doman doc/{prss3.1,fasta36.1,fasts3.1,fastf3.1,ps_lav.1,map_db.1}
+       dodoc FASTA_LIST README* doc/{README*,readme*,fasta*,changes*}
+}

Reply via email to